Loading...
Searching...
No Matches
casacore::ColumnSlicer Class Reference

`#include <ArrayColumnBase.h>`

## Public Member Functions

| ColumnSlicer (const IPosition &shape, const Vector< Slicer * > &dataSlicers, const Vector< Slicer * > &destinationSlicers)
| Construct the object.
| ~ColumnSlicer ()
| The destructor deletes all Slicer objects.
const Vector< Slicer * > & | getDataSlicers () const
| Get the data slicers.
const Vector< Slicer * > & | getDestinationSlicers () const
| Get the desintation slicers.
const IPosition & | shape () const
| Get the shape.

## Private Member Functions

void | freeSlicers ()
| Delete all Slicer objects.
String | validateParameters () const
| Check if the slicers match the array shape.

## Private Attributes

Vector< Slicer * > | dataSlicers_p
Vector< Slicer * > | destinationSlicers_p
IPosition | shape_p

## Detailed Description

### Synopsis

ColumnSlicer is used in one of the ArrayColumn::getColumnCells functions. That method takes a potentially complex/ selection of data out of a column cell (e.g., multiple slices along each axis) and then puts them into a selection of a destination array. This is most easily represented as a set of source,destination slicers where one is applied to the cell and the other to the destination array.

Definition at line 373 of file ArrayColumnBase.h.

## Constructor & Destructor Documentation

## ColumnSlicer()

casacore::ColumnSlicer::ColumnSlicer | ( | const IPosition & | shape,
|  | const Vector< Slicer * > & | dataSlicers,
|  | const Vector< Slicer * > & | destinationSlicers )

Construct the object.

It takes over the pointers to the Slicer objects and deletes them in the destructor. The shape parameter is the shape of the destination array excluding the row axis.

References shape().

## ~ColumnSlicer()

casacore::ColumnSlicer::~ColumnSlicer | ( |  | ) |

The destructor deletes all Slicer objects.

## Member Function Documentation

## freeSlicers()

void casacore::ColumnSlicer::freeSlicers | ( |  | ) |

private

Delete all Slicer objects.

## getDataSlicers()

const Vector< Slicer * > & casacore::ColumnSlicer::getDataSlicers | ( |  | ) | const

inline

Get the data slicers.

Definition at line 390 of file ArrayColumnBase.h.

References dataSlicers_p.

## getDestinationSlicers()

const Vector< Slicer * > & casacore::ColumnSlicer::getDestinationSlicers | ( |  | ) | const

inline

Get the desintation slicers.

Definition at line 394 of file ArrayColumnBase.h.

References destinationSlicers_p.

## shape()

const IPosition & casacore::ColumnSlicer::shape | ( |  | ) | const

inline

Get the shape.

Definition at line 398 of file ArrayColumnBase.h.

References shape_p.

Referenced by ColumnSlicer().

## validateParameters()

String casacore::ColumnSlicer::validateParameters | ( |  | ) | const

private

Check if the slicers match the array shape.

## Member Data Documentation

## dataSlicers_p

Vector<Slicer*> casacore::ColumnSlicer::dataSlicers_p

private

Definition at line 409 of file ArrayColumnBase.h.

Referenced by getDataSlicers().

## destinationSlicers_p

Vector<Slicer*> casacore::ColumnSlicer::destinationSlicers_p

private

Definition at line 410 of file ArrayColumnBase.h.

Referenced by getDestinationSlicers().

## shape_p

IPosition casacore::ColumnSlicer::shape_p

private

Definition at line 411 of file ArrayColumnBase.h.

Referenced by shape().

The documentation for this class was generated from the following file:

- tables/Tables/ArrayColumnBase.h